import request from '@/utils/request'
//获取成员列表
export function getMemberList(data) {
    return request({
      url: '/departmentUser/list',
      method: 'post',
     data: data
    })
  }
  //批量删除离职成员
  export function deleteMember(data) {
    return request({
      url: '/departmentUser/deleteBatch',
      method: 'post',
     data: data
    })
  }
  //添加成员
  export function addMember(data) {
    return request({
      url: '/user/add',
      method: 'post',
     data: data
    })
  }
  //操作成员离职
  export function firedMember(data) {
    return request({
      url: '/departmentUser/fired',
      method: 'post',
     data: data
    })
  }
  //恢复成员信息
  export function recoveryMember(data) {
    return request({
      url: '/departmentUser/recovery',
      method: 'post',
     data: data
    })
  }

  //变更部门
  export function updateUserDepartment(data) {
    return request({
      url: '/departmentUser/updateUserDepartment',
      method: 'post',
     data: data
    })
  }